Skip to main content
POST
/
import
/
sources
/
{id}
/
get-tables
List import source tables
curl --request POST \
  --url https://api.prequel.co/import/sources/{id}/get-tables \
  --header 'X-API-KEY: <api-key>'
{
  "status": "<string>",
  "data": {
    "tables": [
      {
        "namespace": "<string>",
        "name": "<string>",
        "columns": [
          {
            "name": "<string>",
            "raw_type": "<string>",
            "prequel_type": "<string>",
            "ordinal_position": 123,
            "is_nullable": true
          }
        ]
      }
    ]
  },
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://import-docs.prequel.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Path Parameters

id
string
required

Import Source ID.

Response

OK

status
string
required
Allowed value: "success"
data
object
required
message
string
required